Einige Fehlermedungen und Probleme

Hallo NextCloud Gemeinde,

ich habe auf meinem Odroid XU4 Dietpi aufgespielt .
Nach 12 maligem versuchen Nexcloud aus dem Dietpi Software Paketinstallation aufzuspielen habe ich immer noch Meldungen in der NextCloud Weboberfl├Ąche.

z.B.
Die PHP-Speichergrenze liegt unterhalb des empfohlenen Wertes von 512MB.

Dieser Installation fehlen einige empfohlene PHP-Module. F├╝r bessere Leistung und bessere Kompatibilit├Ąt wird dringend empfohlen, diese zu installieren.

imagick

Alle versuche anders zu installieren oder die Fehelr zu beheben haben nicht zum Erfolg gef├╝hrt .
Kann mir jemand einen Tipp geben ?

Als n├Ąchstes w├╝rde ich gerne die Nextcloud ├╝ber HTTPS ansprechen . Auch da habe ich schon einiges gemacht allerings ohne erfolg.